- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnKeyframeDeltaInfType Class Reference

# OpenMayaAnim - API module for animation | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for changes in pre or post infinity type.

This delta object represents changes in the pre-infinity or post-infinity type of the animation curve. Pre-infinity and post-infinity types are specific to animation curves and do not have a corresponding key associated with them. It is, therefore, invalid to have a keyframe associated with a MFnKeyframeDeltaInfType. To determine if this class represents a change to pre or post infinity use the method isPreInfinity on this class.

`#include <MFnKeyframeDeltaInfType.h>`

Inheritance diagram for MFnKeyframeDeltaInfType:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnKeyframeDeltaInfType ()
| Destructor.
| MFnKeyframeDeltaInfType ()
| Default constructor.
| MFnKeyframeDeltaInfType (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MFnAnimCurve::InfinityType | previousInfinityType (MStatus *ReturnStatus=NULL) const
| The previous infinity type.
MFnAnimCurve::InfinityType | currentInfinityType (MStatus *ReturnStatus=NULL) const
| The current infinity type.
bool | isPreInfinity (MStatus *ReturnStatus=NULL) const
| This class can describe changes to both the pre-infinity and post-infinity this method allows the API user to figure out which type this class represents.
| MFnKeyframeDeltaInfType (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnKeyframeDeltaInfType | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnKeyframeDeltaInfType | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kKeyframeDeltaInfType.

Reimplemented from MFnKeyframeDelta.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnKeyframeDeltaInfType".

Reimplemented from MFnKeyframeDelta.

MFnAnimCurve::InfinityType previousInfinityType | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The previous infinity type.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  The previous infinityType for the curve.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MFnAnimCurve::InfinityType currentInfinityType | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

The current infinity type.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  The current InfinityType for the curve

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

bool isPreInfinity | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

This class can describe changes to both the pre-infinity and post-infinity this method allows the API user to figure out which type this class represents.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  true if this class encapsulates changes to the pre-infinity type.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType
MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType MFnKeyframeDeltaInfType